import { setRequest } from "@/utils/httpRequest";

/**
 * 8.1.1 壁纸-列表
 */
export const wallpaper_list = (data) => setRequest("wallpaper/list", data);
/**
 * 8.1.2 壁纸-添加
 */
export const wallpaper_add = (data) => setRequest("wallpaper/add", data);
/**
 * 8.1.3 壁纸-更新
 */
export const wallpaper_edit = (data) => setRequest("wallpaper/edit", data);
/**
 * 8.1.4 壁纸-详情
 */
export const wallpaper_detail = (data) => setRequest("wallpaper/detail", data);
/**
 * 8.1.5 壁纸-删除
 */
export const wallpaper_delete = (data) => setRequest("wallpaper/delete", data);
/**
 *8.1.6 壁纸-是否有添加
 */
export const wallpaper_add_has = (data) =>
  setRequest("wallpaper/add_has", data);
/**
 * 8.1.7 壁纸-选择设备
 */
export const wallpaper_list_device = (data) =>
  setRequest("wallpaper/list_device", data);
/**
 * 8.1.9 壁纸-选择设备包含自己
 */
export const wallpaper_list_devicewp = (data) =>
  setRequest("wallpaper/list_devicewp", data);
/**
 * 8.2.1 LOGO-详情
 */
export const logo_detail = (data) => setRequest("logo/detail", data);
/**
 * 8.2.2 LOGO-保存
 */
export const logo_edit = (data) => setRequest("logo/edit", data);
/**
 * 8.2.3 LOGO-重置
 */
export const logo_delete = (data) => setRequest("logo/delete", data);
/**
 * 8.3.1 设备设置-详情
 */
export const password_detail = (data) => setRequest("password/detail", data);
/**
 * 8.3.2 设备设置-保存
 */
export const password_edit = (data) => setRequest("password/edit", data);
/**
 * 8.3.3 设备设置-重置
 */
export const password_delete = (data) => setRequest("password/delete", data);
/**
 * 8.3.2.1 设备设置管理-详情
 */
export const schoolSet_detail = (data) => setRequest("schoolSet/detail", data);
/**
 * 8.3.2.2 设备设置管理-保存
 */
export const schoolSet_edit = (data) => setRequest("schoolSet/edit", data);
/**
 * 8.3.2.3 设备设置管理-重置
 */
export const schoolSet_delete = (data) => setRequest("schoolSet/delete", data);
/**
 * 8.3.3 设备管理-获取
 */
export const password_detail_userpwd = (data) =>
  setRequest("password/detail_userpwd", data);
/**
 * 8.4.1 开机设置-详情
 */
export const autoapp_detail = (data) => setRequest("autoapp/detail", data);
/**
 * 8.4.2 开机设置-保存
 */
export const autoapp_edit = (data) => setRequest("autoapp/edit", data);
/**
 * 8.4.3 开机设置-重置
 */
export const autoapp_delete = (data) => setRequest("autoapp/delete", data);
